# TelepathyQt4Config.cmake is generated by CMake from TelepathyQt/TelepathyQtConfig.cmake.in.
# Any changed value in this file will be overwritten by CMake.

if(NOT TelepathyQt4_FOUND)
    # set the version number
    set(TELEPATHY_QT4_VERSION_MAJOR 0)
    set(TELEPATHY_QT4_VERSION_MINOR 9)
    set(TELEPATHY_QT4_VERSION_MICRO 3)
    set(TELEPATHY_QT4_VERSION_NANO 0)
    set(TELEPATHY_QT4_VERSION 0.9.3)

    # set the directories
    if(NOT TELEPATHY_QT4_INSTALL_DIR)
    set(TELEPATHY_QT4_INSTALL_DIR "/usr/local")
    endif(NOT TELEPATHY_QT4_INSTALL_DIR)

    set(TELEPATHY_QT4_INCLUDE_DIR              "${TELEPATHY_QT4_INSTALL_DIR}/include/telepathy-qt4")
    set(TELEPATHY_QT4_LIB_DIR                  "${TELEPATHY_QT4_INSTALL_DIR}/lib")
    set(TELEPATHY_QT4_SHARE_DIR                "${TELEPATHY_QT4_INSTALL_DIR}/share/telepathy")

    # attempt to find the generated TelepathyQt4Targets.cmake in the same directory
    get_filename_component(_TPQT4_CONFIG_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
    find_file(_TPQT4_TARGETS_FILE TelepathyQt4Targets.cmake PATHS ${_TPQT4_CONFIG_DIR} NO_DEFAULT_PATH)

    # set the TELEPATHY_QT4_LIBRARIES variable
    include(${_TPQT4_TARGETS_FILE})
    set(TELEPATHY_QT4_LIBRARIES telepathy-qt4)
endif(NOT TelepathyQt4_FOUND)
